## com.lowagie.text.pdf
Class LZWDecoder

    java.lang.Object
      com.lowagie.text.pdf.LZWDecoder

    public class LZWDecoder

extends java.lang.Object

A class for performing LZW decoding.

Field Summary
`(package private) int[]` `andTable`
`(package private) int` `bitPointer`
`(package private) int` `bitsToGet`
`(package private) int` `bytePointer`
`(package private) byte[]` `data`
`(package private) int` `nextBits`
`(package private) int` `nextData`
`(package private) byte[][]` `stringTable`
`(package private) int` `tableIndex`
`(package private) java.io.OutputStream` `uncompData`

Constructor Summary
`LZWDecoder()`

Method Summary
`void` `addStringToTable(byte[] string)` Add a new string to the string table.
`void` `addStringToTable(byte[] oldString, byte newString)` Add a new string to the string table.
`byte[]` `composeString(byte[] oldString, byte newString)` Append `newString` to the end of `oldString`.
`void` `decode(byte[] data, java.io.OutputStream uncompData)` Method to decode LZW compressed data.
`int` `getNextCode()`
`void` `initializeStringTable()` Initialize the string table.
`void` `writeString(byte[] string)` Write out the string just uncompressed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stringTable

    byte[][] stringTable

### data

    byte[] data

### uncompData

    java.io.OutputStream uncompData

### tableIndex

    int tableIndex

### bitsToGet

    int bitsToGet

### bytePointer

    int bytePointer

### bitPointer

    int bitPointer

### nextData

    int nextData

### nextBits

    int nextBits

### andTable

    int[] andTable

Constructor Detail

### LZWDecoder

    public LZWDecoder()

Method Detail

### decode

    public void decode(byte[] data,
                       java.io.OutputStream uncompData)

  Method to decode LZW compressed data.

  Parameters:
    `data` - The compressed data.
    `uncompData` - Array to return the uncompressed data in.

### initializeStringTable

    public void initializeStringTable()

  Initialize the string table.

### writeString

    public void writeString(byte[] string)

  Write out the string just uncompressed.

### addStringToTable

    public void addStringToTable(byte[] oldString,
                                 byte newString)

  Add a new string to the string table.

### addStringToTable

    public void addStringToTable(byte[] string)

  Add a new string to the string table.

### composeString

    public byte[] composeString(byte[] oldString,
                                byte newString)

  Append `newString` to the end of `oldString`.

### getNextCode

    public int getNextCode()

Hosted by Hostbasket